Page MenuHomePhabricator

Add extension licenses to extension.json so they appear correctly on Special:Version
Open, MediumPublic

Description

Some MediaWiki extensions are missing the license-name field in the file extension.json or in $wgExtensionCredits. This means no license is shown for them in Special:Version (e.g. https://en.wikipedia.org/wiki/Special:Version) or the license is displayed as 'License', instead of something like for example GPL-2.0-or-later.

To fix this, we need to make changes like https://gerrit.wikimedia.org/r/#/c/264553/ in the relevant extensions.

  1. Check the existing LICENSE or COPYING file of the extension to verify which license the extension has.
  2. Look up the corresponding value of that license in https://spdx.org/licenses/
  3. Add that value as the value of the license-name parameter to the file extension.json.
  4. Provide your patch for that extension in Wikimedia Gerrit. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to set up Git and Gerrit.

Note that some extensions are possibly missing a LICENSE or COPYING file, which would result in a broken license link.

Note: the 'extensions' listed as wikibase or data values is outside scope of this task. Most of these are actually libraries and instead need to be moved to the libraries section of SpecialVersion. (see: T123937)

Still to do (missing a line license-name in the file extension.json) as of 2018-10-05:

Extension Assigni
[ ] AkismetKlik
[ ] ArticleRatings
[ ] Athena
[ ] BlueSpiceSubPageTree
[ ] Cargo
[ ] ConfirmEdit/MathCaptcha
[ ] ConfirmEdit/QuestyCaptcha
[ ] ConfirmEdit/ReCaptcha
[ ] ConfirmEdit/ReCaptchaNoCaptcha
[ ] ContributionTracking -> T99643
[ ] Diagnosis
[ ] DiscussionThreading
[ ] GoogleDocTag
[ ] GoogleGeocode
[ ] GooglePlaces
[ ] Hovergallery
[ ] Hreflang
[ ] LifeWebCore
[ ] LockDownEnglishPages
[ ] MagicNumberedHeadings
[ ] MarkAsHelpful
[ ] MintyDocs
[ ] MP3MediaHandler
[ ] NumberOfWikis
[ ] OAuthAuthentication
[ ] OpenIDConnect
[ ] PageDisqus
[ ] PageLanguage
[ ] PhpTagsWidgets
[ ] Prezi
[ ] Quantcast
[ ] QuickSearchLookup
[ ] SafeDelete
[ ] SearchExtraNS -> T100957
[ ] ShoutWikiAds
[ ] SkinPerPage -> T203832
[ ] StaffEdits
[ ] StatCounter
[ ] Tabber
[ ] Theme
[ ] UserAgreement
[ ] WhitelistPages

Extensions which are done:

  • AJAXPoll
  • CommentStreams
  • Contributors
  • ExternalArticles
  • NukeDPL
  • HoverGallery
  • OpenLayers
  • PluggableAuth
  • PronunciationRecording
  • Push
  • QuickGV
  • SecureSessions
  • SemanticTitle
  • SimpleSAMLphp
  • TwnMainPage
  • TestLanguageNameGrammar
  • WikipediaExtracts

Details

Related Gerrit Patches:
mediawiki/extensions/ArticleRatings : masterAdd license information for Extension:ArticleRatings
mediawiki/extensions/SimpleSAMLphp : masterAdd license for SimpleSAMLphp extension
mediawiki/extensions/MintyDocs : masterAdd license information for Extension:MintyDocs
mediawiki/extensions/Tabber : masterAdd license information for Extension:Tabber
mediawiki/extensions/GoogleDocTag : masterAdd license information for Extension:GoogleDocTag
mediawiki/extensions/Athena : masterAdd license information for Extension:Athena
mediawiki/extensions/GooglePlaces : masterAdd license information for Extension:GooglePlaces
mediawiki/extensions/GoogleGeocode : masterAdd license information for Extension:GoogleGeoCode
mediawiki/extensions/DiscussionThreading : masterAdd license information for Extension:DiscussionThreading
mediawiki/extensions/SecureSessions : masterAdd license information for Extension:SecureSessions
mediawiki/extensions/Contributors : masterAdd license information for Extension:Contributors
mediawiki/extensions/NukeDPL : masterAdd license information
mediawiki/extensions/AJAXPoll : masterAdd license information
mediawiki/extensions/AJAXPoll : masterAdd license information
mediawiki/extensions/AJAXPoll : masterAdd license information
mediawiki/extensions/Comments : masterAdd license-name to extension.json
mediawiki/extensions/PoolCounter : master[WIP] Add license name to extension.json
mediawiki/extensions/Push : masterextension.json: Add license-name field
mediawiki/extensions/QuickGV : masterextension.json: Add license-name field
mediawiki/extensions/WikipediaExtracts : masterextension.json: Add license-name field
mediawiki/extensions/PronunciationRecording : masterAdd license-name field to extension.json
mediawiki/extensions/TwnMainPage : masterextension.json: Add license-name field
mediawiki/extensions/SemanticTitle : masterextension.json: Add license-name field
mediawiki/extensions/TestLanguageNameGrammar : masterextension.json: Add license-name field
mediawiki/extensions/PluggableAuth : masterAdd license-name field to extension.json
mediawiki/extensions/HoverGallery : masterAdd license-name to extension.json of HoverGallery
mediawiki/extensions/OpenLayers : masterAdd license-name to extension.json of OpenLayers
mediawiki/extensions/ExternalArticles : masterAdd license-name to ExternalArticles extension
mediawiki/extensions/CommentStreams : masterAdd license information to CommentStreams extension
mediawiki/extensions/EtherpadLite : masterAdded the COPYING file containing the licenses
mediawiki/extensions/I18nTags : masterProvide license file and label
mediawiki/extensions/UrlGetParameters : masterProvides some tweaks and makes a new release
mediawiki/extensions/FlickrAPI : masterAdd license-name to extension.json
mediawiki/extensions/DisplayTitle : masterAdd missing license label
mediawiki/extensions/PipeEscape : masterProvide license file and add file docu
mediawiki/extensions/AddThis : masterProvide license information etc.
mediawiki/extensions/MediaWikiFarm : masterAdd LICENSE
mediawiki/extensions/MediaWikiChat : masterAdd license-name to MediaWikiChat.php
mediawiki/extensions/OpenBadges : masterDo some maintenance
mediawiki/extensions/AWS : masterDo some maintenance
mediawiki/extensions/LinkTarget : masterProvide license label and COPYING file
mediawiki/extensions/EditAccount : masterProvide license label and COPYING file
mediawiki/extensions/ApprovedRevs : masterProvide license label and COPYING file
mediawiki/extensions/VIKI : masterDo some small maintenance
mediawiki/extensions/VikiSemanticTitle : masterDo some small maintenance
mediawiki/extensions/VikiTitleIcon : masterDo some small maintenance
mediawiki/extensions/SemanticGenealogy : masterDo some maintenance
mediawiki/extensions/Awesomeness : masterDo some maintenance
mediawiki/extensions/AntiBot : masterDo some maintenance
mediawiki/extensions/SemanticWebBrowser : masterDo some maintenance
mediawiki/extensions/RSS : masterSet license-name in extension.json
mediawiki/extensions/GeoCrumbs : masterSet license-name in extension.json
mediawiki/extensions/DisableAccount : masterSet license-name in extension.json
mediawiki/extensions/CreditsSource : masterSet license-name in extension.json
mediawiki/extensions/DoubleWiki : masterSet license-name in extension.json
mediawiki/extensions/DynamicSidebar : masterSet license-name in extension.json
mediawiki/extensions/Listings : masterSet license-name in extension.json
mediawiki/extensions/ShortUrl : masterSet license-name in extension.json
mediawiki/extensions/SubPageList3 : masterSet license-name in extension.json
mediawiki/extensions/UnicodeConverter : masterSet license-name in extension.json
mediawiki/extensions/WikimediaIncubator : masterSet license-name in extension.json
mediawiki/extensions/SemanticDependency : masterDo some maintenance
mediawiki/extensions/DonationInterface : masterSet license-name in extension.json
mediawiki/extensions/LandingCheck : masterSet license-name in extension.json
mediawiki/extensions/FundraiserLandingPage : masterSet license-name in extension.json
mediawiki/extensions/TocTree : masterSet license-name in extension.json
mediawiki/extensions/SemanticHighcharts : masterDo some maintenance
mediawiki/extensions/SemanticExpressiveness : masterDo some maintenance
mediawiki/extensions/SemanticACL : masterDo some maintenance
mediawiki/extensions/RegexFun : masterDo some maintenance
mediawiki/extensions/RandomSelection : masterDo some maintenance
mediawiki/extensions/RightFunctions : masterDo some maintenance
mediawiki/extensions/ParserFun : masterDo some maintenance
mediawiki/extensions/LogoFunctions : masterDo some maintenance
mediawiki/extensions/JSBreadCrumbs : masterDo some maintenance
mediawiki/extensions/HashTables : masterDo some maintenance
mediawiki/extensions/Wikidata : masterAdd license-name to Wikidata.php
mediawiki/extensions/MyVariables : masterProvide license information to show on "Special:Version"
mediawiki/extensions/PageSchemas : masterProvide license label to show on "Special:Version"
mediawiki/extensions/ElectronPdfService : masterProvide missing license file
mediawiki/extensions/DateDiff : masterRelease version 0.3.1
mediawiki/extensions/Scribunto : masterSpecify license and add COPYING file
mediawiki/extensions/SiteMatrix : master[WIP] Add license name to extension.json
mediawiki/extensions/XAnalytics : masterAdd license to $wgExtensionCredits
mediawiki/extensions/AccessControl : masterAdd license information and other small tweaks
mediawiki/extensions/ImageMap : masterAdd license name to extension.json
mediawiki/extensions/GWToolset : masterProvide tiny tweaks
mediawiki/extensions/SemanticImageInput : masterProvide several tweaks
mediawiki/extensions/SideBarMenu : masterProviding some tweaks
mediawiki/extensions/WikimediaMessages : masterProvide license lable to show on "Special:Version"
mediawiki/extensions/BlockAndNuke : masterProvide some minor tweaks
mediawiki/extensions/MapSources : masterProvide license information per file documentation and other tweaks
mediawiki/extensions/MaintenanceShell : masterProvide license information
mediawiki/extensions/PoolCounter : masterProvide missing license label to show on "Special:Version"
mediawiki/extensions/XAnalytics : masterProvide license information
mediawiki/extensions/LastUserLogin : masterProvide missing license lable to show on "Special:Version"
mediawiki/extensions/AuthorProtect : masterProvide license information (per Topic:T22pt5j6fu3j53pi) and a tweak
mediawiki/extensions/GraphViz : masterProvide missing license label to show on "Special:Version"
mediawiki/extensions/Elastica : masterProvide missing license lable to show on "Special:Version"
mediawiki/extensions/SpamBlacklist : masterProvide missing COPYING file
mediawiki/extensions/googleAnalytics : masterProvide license information
mediawiki/extensions/StalkerLog : masterProvide several tiny tweaks
mediawiki/extensions/ImageMap : masterTweaking license information
mediawiki/extensions/TrustedXFF : masterApply several tiny tweaks
mediawiki/extensions/ExtensionDistributor : masterProvide missing license lable to show on "Special:Version"
mediawiki/extensions/SiteMatrix : masterProvide missing license lable to show on "Special:Version"
mediawiki/extensions/CodeReview : masterProvide license label to show on "Special:Version"
mediawiki/extensions/TextExtracts : masterProvide missing license lable to show on "Special:Version"
mediawiki/extensions/DismissableSiteNotice : masterProvide missing COPYING file
mediawiki/extensions/DeleteBatch : masterProvide license informatin and other tiny tweaks
mediawiki/extensions/NoTitle : masterProvide license information and other tiny tweaks
mediawiki/extensions/WikiForum : masterProvide license information
mediawiki/extensions/Arrays : masterProvide license label and other tweaks
mediawiki/extensions/Variables : masterSeveral tweaks
mediawiki/extensions/Lockdown : masterProvide license-information and tiny tweaks
mediawiki/extensions/BreadCrumbs : masterMake version 0.4.1
mediawiki/extensions/HTMLets : masterProvide license information and other tweaks
mediawiki/extensions/LocalisationUpdate : masterProvide missing license file
mediawiki/extensions/Scribunto : masterAdd license-name to Scribunto.php
mediawiki/extensions/NewUserMessage : masterProvide license information
mediawiki/extensions/intersection : masterAdd license information and tiny tweaks
mediawiki/extensions/Editcount : masterProvide license information
mediawiki/extensions/GlobalUserPage : masterAdd license-name to extension.json
mediawiki/extensions/JsonConfig : masterAdd license-name to JsonConfig.php
mediawiki/extensions/BlogPage : masterAdd extension license
mediawiki/extensions/GettingStarted : masterAdd license information
mediawiki/extensions/SecurePoll : masterAdd license to $wgExtensionCredits
mediawiki/extensions/timeline : masterAdd license to $wgExtensionCredits
mediawiki/extensions/CategoryTree : masterAdd license to $wgExtensionCredits
mediawiki/extensions/Scribunto : masterAdd license name to $wgExtensionCredits
mediawiki/extensions/Scribunto : masterAdd license information
mediawiki/extensions/SpamBlacklist : masterAdd license information
mediawiki/extensions/MathSearch : masterAdd license-name to extension.json
mediawiki/extensions/JsonConfig : masterUpdated license-name and added COPYING file
mediawiki/extensions/LogEntry : masterAdd license-name to LogEntry.php
mediawiki/extensions/MediaWikiChat : masterAdd license-name to MediaWikiChat.php
mediawiki/extensions/AntiSpoof : masterAdd license information to extension credits
mediawiki/extensions/LiquidThreads : masterAdd license information to extension credits

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Umherirrender removed a subscriber: Umherirrender.

Change 470165 merged by jenkins-bot:
[mediawiki/extensions/PluggableAuth@master] Add license-name field to extension.json

https://gerrit.wikimedia.org/r/470165

D3r1ck01 updated the task description. (Show Details)Oct 29 2018, 8:04 PM

Change 470532 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/TestLanguageNameGrammar@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470532

Change 470533 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/SemanticTitle@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470533

Change 470532 merged by jenkins-bot:
[mediawiki/extensions/TestLanguageNameGrammar@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470532

Change 470533 merged by jenkins-bot:
[mediawiki/extensions/SemanticTitle@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470533

Change 470164 had a related patch set uploaded (by Bjornskjald; owner: Bjornskjald):
[mediawiki/extensions/PronunciationRecording@master] Add license-name field to extension.json

https://gerrit.wikimedia.org/r/470164

Change 470546 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/QuickGV@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470546

Change 470548 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/Push@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470548

Change 470588 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/WikipediaExtracts@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470588

Change 470589 had a related patch set uploaded (by Rafidaslam; owner: Rafid Aslam):
[mediawiki/extensions/TwnMainPage@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470589

D3r1ck01 updated the task description. (Show Details)Oct 30 2018, 1:01 PM
rafidaslam updated the task description. (Show Details)Oct 30 2018, 1:08 PM
rafidaslam updated the task description. (Show Details)

Change 470589 merged by jenkins-bot:
[mediawiki/extensions/TwnMainPage@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470589

D3r1ck01 updated the task description. (Show Details)Oct 30 2018, 2:18 PM
D3r1ck01 updated the task description. (Show Details)Oct 30 2018, 4:03 PM

Change 470164 merged by jenkins-bot:
[mediawiki/extensions/PronunciationRecording@master] Add license-name field to extension.json

https://gerrit.wikimedia.org/r/470164

Change 470588 merged by jenkins-bot:
[mediawiki/extensions/WikipediaExtracts@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470588

Change 470546 merged by jenkins-bot:
[mediawiki/extensions/QuickGV@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470546

Change 470548 merged by jenkins-bot:
[mediawiki/extensions/Push@master] extension.json: Add license-name field

https://gerrit.wikimedia.org/r/470548

Change 266038 abandoned by Krinkle:
[WIP] Add license name to extension.json

Reason:
Replaced by 1eb98ce63c4c7010233 and 5b7e57dc1ab49c1.

https://gerrit.wikimedia.org/r/266038

Krinkle updated the task description. (Show Details)Feb 8 2019, 8:27 PM

Change 264793 merged by jenkins-bot:
[mediawiki/extensions/Comments@master] Add license-name to extension.json

https://gerrit.wikimedia.org/r/264793

Contributors is missing a LICENSE or COPYING file but the license information is provided on its wiki page Extension:Contributors. Should I add the COPYING file too or just the missing license-name line?

Yes @jeropbrenda, do both! Go for it :)

Add the appropriate COPYING file that matches the GNU General Public License 2.0 or later license and then add the missing license-name in extension.json.

Change 498026 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/Contributors@master] Add license information

https://gerrit.wikimedia.org/r/498026

Change 498061 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/ArticleRatings@master] Add license information

https://gerrit.wikimedia.org/r/498061

Change 498068 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/DiscussionThreading@master] Add license information

https://gerrit.wikimedia.org/r/498068

Change 498070 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/GoogleDocTag@master] Add license information

https://gerrit.wikimedia.org/r/498070

Change 498071 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/GoogleGeocode@master] Add license information

https://gerrit.wikimedia.org/r/498071

Change 498072 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/GooglePlaces@master] Add license information

https://gerrit.wikimedia.org/r/498072

Change 498074 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/MintyDocs@master] Add license information

https://gerrit.wikimedia.org/r/498074

Change 498075 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/SecureSessions@master] Add license information

https://gerrit.wikimedia.org/r/498075

Change 498076 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/Athena@master] Add license information

https://gerrit.wikimedia.org/r/498076

Change 498081 had a related patch set uploaded (by Jeropbrendawm; owner: Jeropbrendawm):
[mediawiki/extensions/Tabber@master] Add license information

https://gerrit.wikimedia.org/r/498081

Change 498323 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/extensions/AJAXPoll@master] Add license information

https://gerrit.wikimedia.org/r/498323

Change 498323 abandoned by Nikitrain:
Add license information

https://gerrit.wikimedia.org/r/498323

Change 498325 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/extensions/AJAXPoll@master] Add license information

https://gerrit.wikimedia.org/r/498325

Change 498335 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/extensions/NukeDPL@master] Add license information

https://gerrit.wikimedia.org/r/498335

Change 498337 had a related patch set uploaded (by Nikitrain; owner: Nikitrain):
[mediawiki/extensions/AJAXPoll@master] Add license information

https://gerrit.wikimedia.org/r/498337

Change 498337 abandoned by Nikitrain:
Add license information

https://gerrit.wikimedia.org/r/498337

Change 498325 merged by jenkins-bot:
[mediawiki/extensions/AJAXPoll@master] Add license information

https://gerrit.wikimedia.org/r/498325

Change 498335 merged by jenkins-bot:
[mediawiki/extensions/NukeDPL@master] Add license information

https://gerrit.wikimedia.org/r/498335

Nikitrain updated the task description. (Show Details)Mar 31 2019, 1:00 PM

Change 498026 merged by jenkins-bot:
[mediawiki/extensions/Contributors@master] Add license information for Extension:Contributors

https://gerrit.wikimedia.org/r/498026

Change 498075 merged by jenkins-bot:
[mediawiki/extensions/SecureSessions@master] Add license information for Extension:SecureSessions

https://gerrit.wikimedia.org/r/498075

Gopavasanth updated the task description. (Show Details)Nov 9 2019, 2:57 PM
Gopavasanth updated the task description. (Show Details)Nov 9 2019, 3:32 PM
Gopavasanth updated the task description. (Show Details)Nov 9 2019, 3:43 PM
Gopavasanth updated the task description. (Show Details)Nov 9 2019, 3:46 PM

Change 498068 merged by jenkins-bot:
[mediawiki/extensions/DiscussionThreading@master] Add license information for Extension:DiscussionThreading

https://gerrit.wikimedia.org/r/498068

Change 498071 merged by jenkins-bot:
[mediawiki/extensions/GoogleGeocode@master] Add license information for Extension:GoogleGeoCode

https://gerrit.wikimedia.org/r/498071

Change 498072 merged by jenkins-bot:
[mediawiki/extensions/GooglePlaces@master] Add license information for Extension:GooglePlaces

https://gerrit.wikimedia.org/r/498072

Change 498076 merged by Umherirrender:
[mediawiki/extensions/Athena@master] Add license information for Extension:Athena

https://gerrit.wikimedia.org/r/498076

Change 498074 merged by jenkins-bot:
[mediawiki/extensions/MintyDocs@master] Add license information for Extension:MintyDocs

https://gerrit.wikimedia.org/r/498074

Zoranzoki21 updated the task description. (Show Details)Thu, Dec 5, 11:18 AM
Zoranzoki21 updated the task description. (Show Details)Thu, Dec 5, 4:13 PM

Change 554908 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/SimpleSAMLphp@master] Add license for SimpleSAMLphp extension

https://gerrit.wikimedia.org/r/554908

Change 554908 merged by jenkins-bot:
[mediawiki/extensions/SimpleSAMLphp@master] Add license for SimpleSAMLphp extension

https://gerrit.wikimedia.org/r/554908

Zoranzoki21 updated the task description. (Show Details)Thu, Dec 5, 4:59 PM
Zoranzoki21 updated the task description. (Show Details)

Change 498061 merged by Jforrester:
[mediawiki/extensions/ArticleRatings@master] Add license information for Extension:ArticleRatings

https://gerrit.wikimedia.org/r/498061

Ammarpad removed a subscriber: Ammarpad.Thu, Dec 5, 8:16 PM